Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.socket.nio
Class SocketAcceptor

    java.lang.Object
      org.apache.mina.common.support.BaseIoService
          org.apache.mina.common.support.BaseIoAcceptor
              org.apache.mina.transport.socket.nio.SocketAcceptor

All Implemented Interfaces:
  IoAcceptor, IoService

    public class SocketAcceptor

extends org.apache.mina.common.support.BaseIoAcceptor

`IoAcceptor` for socket transport (TCP/IP).

Version:
  $Rev: 389042 $, $Date: 2006-03-27 07:49:41Z $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`SocketAcceptor()` Create an acceptor with a single processing thread using a NewThreadExecutor
`SocketAcceptor(int processorCount, Executor executor)` Create an acceptor with the desired number of processing threads

Method Summary
`void` | `bind(SocketAddress address, IoHandler handler, IoServiceConfig config)` Binds to the specified `address` and handles incoming connections with the specified `handler`.
`SocketAcceptorConfig` | `getDefaultConfig()` Returns the default configuration which is used when you didn't specify any configuration.
`void` | `setDefaultConfig(SocketAcceptorConfig defaultConfig)` Sets the config this acceptor will use by default.
`void` | `unbind(SocketAddress address)` Unbinds from the specified `address` and disconnects all clients connected there.
`void` | `unbindAll()` Unbinds all addresses which were bound by this acceptor.

Methods inherited from class org.apache.mina.common.support.BaseIoAcceptor
`bind, newSession`

Methods inherited from class org.apache.mina.common.support.BaseIoService
`addListener, getFilterChain, getFilterChainBuilder, getListeners, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mina.common.IoService
`addListener, getFilterChain, getFilterChainBuilder, getManagedServiceAddresses, getManagedSessions, isManaged, removeListener, setFilterChainBuilder`

Constructor Detail

### SocketAcceptor

    public SocketAcceptor()

  Create an acceptor with a single processing thread using a NewThreadExecutor

### SocketAcceptor

    public SocketAcceptor(int processorCount,
                          Executor executor)

  Create an acceptor with the desired number of processing threads

  Parameters:
    `processorCount` - Number of processing threads
    `executor` - Executor to use for launching threads

Method Detail

### bind

    public void bind(SocketAddress address,
                     IoHandler handler,
                     IoServiceConfig config)
              throws IOException

  Binds to the specified `address` and handles incoming connections with the specified `handler`. Backlog value is configured to the value of `backlog` property.

    `config` - the configuration
  Throws:
    `IOException` - if failed to bind

### unbind

    public void unbind(SocketAddress address)

  Description copied from interface: `IoAcceptor`
  Unbinds from the specified `address` and disconnects all clients connected there.

### unbindAll

    public void unbindAll()

  Description copied from interface: `IoAcceptor`
  Unbinds all addresses which were bound by this acceptor.

### getDefaultConfig

    public SocketAcceptorConfig getDefaultConfig()

  Description copied from interface: `IoService`
  Returns the default configuration which is used when you didn't specify any configuration.

### setDefaultConfig

    public void setDefaultConfig(SocketAcceptorConfig defaultConfig)

  Sets the config this acceptor will use by default.

  Parameters:
    `defaultConfig` - the default config.
  Throws:
    `NullPointerException` - if the specified value is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.